package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.domain.request.WorldEventRequest;
import com.caliverse.admin.dynamodb.domain.doc.WorldEventScheduleDoc;
import com.caliverse.admin.dynamodb.entity.DynamodbOperationResult;

public interface WorldEventScheduleRepository extends DynamoDBRepository<WorldEventScheduleDoc> {
    void insert(WorldEventRequest worldEventRequest);
    void update(WorldEventRequest worldEventRequest);
    DynamodbOperationResult delete(String id);
}
